package org.opengroup.osdu.notification.provider.aws;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.junit.MockitoJUnitRunner;
import org.opengroup.osdu.notification.provider.aws.impl.AwsAppProperties;
import org.powermock.reflect.Whitebox;


@RunWith(MockitoJUnitRunner.class)
public class AwsAppPropertiesTest {
	
	@InjectMocks
	AwsAppProperties awsAppProperties;

    @Before
    public void initTest() {
        Whitebox.setInternalState(awsAppProperties, "authorizeAPI", "authorizeAPI");
        Whitebox.setInternalState(awsAppProperties, "registerAPI", "registerAPI");
    }
    
	@Test
	public void getAuthorizeAPIReturnsAuthorizeAPI() {
		String authorizeAPI = "authorizeAPI";
		assertEquals(authorizeAPI, awsAppProperties.getAuthorizeAPI());
	}
	
	@Test
	public void getRegisterAPIReturnsAuthorizeAPI() {
		String registerAPI = "registerAPI";
		assertEquals(registerAPI, awsAppProperties.getRegisterAPI());
	}
}
