/* Licensed Materials - Property of IBM              */		
/* (c) Copyright IBM Corp. 2020. All Rights Reserved.*/	

package org.opengroup.osdu.notification.provider.ibm;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.PropertySource;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@ComponentScan({"org.opengroup.osdu"})
@EnableAsync
@PropertySource("classpath:swagger.properties")
public class Application  {

	public static void main(String[] args) {
		SpringApplication.run(new Class[] { Application.class} , args);
	}
}

