package org.opengroup.osdu.notification.provider.aws;

import static org.junit.Assert.assertFalse;

import org.junit.runner.RunWith;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.junit.MockitoJUnitRunner;
import org.opengroup.osdu.notification.provider.aws.impl.AwsServiceAccountValidator;

@RunWith(MockitoJUnitRunner.class)
public class AwsServiceAccountValidatorTest {

	@InjectMocks
	AwsServiceAccountValidator awsServiceAccountValidator;
	
	@Test
	public void awsServiceAccountValidatorReturnsFalse() {
		assertFalse(awsServiceAccountValidator.isValidPublisherServiceAccount("jwt"));
	}
	
	@Test
	public void isValidServiceAccountReturnsFalse() {
		assertFalse(awsServiceAccountValidator.isValidServiceAccount("jwt", "userIdentity", "audiences"));
	}
}
