package org.opengroup.osdu.notification.provider.gcp.config;


import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties
@Getter
@Setter
public class RedisProperties {
    private String redisHost;
    private Integer redisPort;
    private String redisPassword;
    private Integer redisExpiration = 300;
    private Boolean redisWithSsl = false;
}