/* Licensed Materials - Property of IBM              */		
/* (c) Copyright IBM Corp. 2020. All Rights Reserved.*/	


package org.opengroup.osdu.notification.provider.ibm.util;

import org.opengroup.osdu.notification.provider.interfaces.IServiceAccountValidator;
import org.springframework.stereotype.Service;

@Service
public class IBMServiceAccountValidatorImpl implements IServiceAccountValidator {


    @Override
    public boolean isValidPublisherServiceAccount(String jwt) {
    	//call isValidServiceAccount()
    	// Check whether IBM have to implement the service account verification for PubSub Role
    	// Marking it to return true, for the integration tests.
    	return false;
    }

    @Override
    public boolean isValidServiceAccount(String jwt, String userIdentity, String... googleAudiences) {
    	// Marking it to return true, for the integration tests.
    	return true;
    }
}
