/* Licensed Materials - Property of IBM              */		
/* (c) Copyright IBM Corp. 2020. All Rights Reserved.*/	



package org.opengroup.osdu.notification.provider.ibm.util;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class JwtValidity {

    String token;
    long expiryTime;

    JwtValidity(String jwt, long expiryTime) {
        this.token = jwt;
        this.expiryTime = expiryTime;
    }
}
